import { defineComponent } from "vue";
import { string } from "vue-types";
import { CkEditor } from "./CkEditor";
import { View } from "./View";

export const Textarea = defineComponent({
  props: {
    value: string().def(""),
  },
  emits: ["update:value"],
  setup(props, { emit }) {
    return () => (
      <View>
        <CkEditor
          value={props.value}
          onChange={(v) => emit("update:value", v)}
        />
      </View>
    );
  },
});
